js_open_append(3)

NAME
js_open_append - Open up a file to append to

SYNOPSIS
#include JsStr.h

int js_open_append(js_string *filename,js_file *desc)

DESCRIPTION
js_open_append is a function that opens up a file for appending, using the contents in the js_string object filename to determine the file name.

desc is where we store the opened file descriptor.

RETURN VALUE
js_open_append returns JS_ERROR if an error happened opening the file, JS_SUCCESS otherwise. The member filetype of the structure desc will have an invalid value if an error occured opening the file.

EXAMPLE
The following opens up the file "filename" for appending:

	js_string *foo;
	js_file *bar;
	foo = js_create(256,1);
	js_str2js(foo,"filename",8,1);
	js_open_append(foo,bar);

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>